%define name xmms-mas
%define version 1.2.7
%define release %mkrel 8
%define fname %name-%version-2

Summary: MAS output plugin for xmms 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{fname}.tar.bz2
Patch: xmms-mas-1.2.7-2-includes.patch
License: GPLv2+
Group: Sound
URL: http://www.mediaapplicationserver.net/indexframes.html
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libmas-devel
BuildRequires: libxmms-devel
Requires: xmms
ExcludeArch: x86_64

%description
This is an output plugin for XMMS. If you use it, XMMS will send its
output (raw PCM data) to MAS.

You can run XMMS on you computer alongside other audio-enabled apps
that also talk to MAS!! Using this plugin also automatically adds
network transparency to XMMS!!!

%prep
%setup -q -n %fname
%patch -p1 -b .includes

%build
gcc -DVERSION=\"%version\" -c `xmms-config --cflags` mas_client.c
gcc -shared -o libmas-client.so mas_client.o `xmms-config --libs` -lpthread -lmas -lmasc -lmas_jrtp -Wl,-soname -Wl,libmas-client.so

%install
rm -rf $RPM_BUILD_ROOT
install -D -m 755 libmas-client.so %buildroot%_libdir/xmms/Output/libmas-client.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%_libdir/xmms/Output/libmas-client.so



%changelog
* Tue Aug 04 2009 Götz Waschk <waschk@mandriva.org> 1.2.7-8mdv2010.0
+ Revision: 408664
- update license

* Mon Aug 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.7-7mdv2009.0
+ Revision: 262569
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.7-6mdv2009.0
+ Revision: 257374
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.7-4mdv2008.1
+ Revision: 130384
- kill re-definition of %%buildroot on Pixel's request

* Mon Aug 06 2007 Götz Waschk <waschk@mandriva.org> 1.2.7-4mdv2008.0
+ Revision: 59388
- don't try to build on x86_64


* Fri Aug 04 2006 Götz Waschk <waschk@mandriva.org> 1.2.7-1mdv2007.0
- Rebuild

* Wed Feb 08 2006 Götz Waschk <waschk@mandriva.org> 1.2.7-3mdk
- Rebuild
- use mkrel

* Fri Dec 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.7-2mdk
- rebuild

* Thu Nov 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.7-1mdk
- initial package

